/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser.failure.message.generator;

import com.liferay.jenkins.results.parser.Build;

import java.util.Hashtable;

import org.dom4j.Element;

/**
 * @author Kenji Heigel
 */
public class CompileFailureMessageGenerator
	extends BaseFailureMessageGenerator {

	@Override
	public String getMessage(
		String buildURL, String consoleOutput, Hashtable<?, ?> properties) {

		return null;
	}

	@Override
	public Element getMessageElement(Build build) {
		String consoleOutput = build.getConsoleText();

		int end = consoleOutput.indexOf("Compile failed;");

		if (end == -1) {
			end = consoleOutput.indexOf("compileJava FAILED");
		}

		if (end == -1) {
			return null;
		}

		end = consoleOutput.lastIndexOf("\n", end);

		return getConsoleOutputSnippetElement(consoleOutput, true, end);
	}

}